### Method

# Gimp Curve set_point_type

since: 3.2

#### Declaration [src]

    void
    gimp_curve_set_point_type (
      GimpCurve* curve,
      gint point,
      GimpCurvePointType type
    )

#### Description [src]

Sets the `point` type in a `GIMP_CURVE_SMOOTH` `curve`.

Available since: 3.2

#### Parameters

`point`

  Type: `gint`

  A point identifier.

`type`

  Type: `GimpCurvePointType`

  A point type.